Skip to main content
Create Message
curl --request POST \
  --url https://{api_endpoint}/v1/threads/{thread_id}/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "<string>",
  "content": [
    {
      "json_schema": {},
      "ui_schema": {},
      "form_data": {},
      "id": "<string>",
      "form_operation": "<string>",
      "sub_type": "<string>",
      "event_type": "<string>",
      "dps_payload_id": "<string>"
    }
  ],
  "mentions": [
    {
      "type": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "document_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "additional_properties": {
    "wxa_message": {},
    "display_properties": {
      "skip_render": false,
      "is_async": false,
      "form_operation": ""
    },
    "tool_calls": [
      {}
    ],
    "tool_call_id": "<string>",
    "tool_name": "<string>",
    "wxo_connection_status": {
      "connection_status": "<string>",
      "connection_message": "<string>"
    }
  },
  "assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "context": {
    "values": []
  },
  "step_history": [
    {}
  ],
  "message_state": {}
}
'
import requests

url = "https://{api_endpoint}/v1/threads/{thread_id}/messages"

payload = {
"role": "<string>",
"content": [
{
"json_schema": {},
"ui_schema": {},
"form_data": {},
"id": "<string>",
"form_operation": "<string>",
"sub_type": "<string>",
"event_type": "<string>",
"dps_payload_id": "<string>"
}
],
"mentions": [
{
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"document_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"parent_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"additional_properties": {
"wxa_message": {},
"display_properties": {
"skip_render": False,
"is_async": False,
"form_operation": ""
},
"tool_calls": [{}],
"tool_call_id": "<string>",
"tool_name": "<string>",
"wxo_connection_status": {
"connection_status": "<string>",
"connection_message": "<string>"
}
},
"assistant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"context": { "values": [] },
"step_history": [{}],
"message_state": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
role: '<string>',
content: [
{
json_schema: {},
ui_schema: {},
form_data: {},
id: '<string>',
form_operation: '<string>',
sub_type: '<string>',
event_type: '<string>',
dps_payload_id: '<string>'
}
],
mentions: [
{type: '<string>', id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'}
],
document_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
parent_message_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
additional_properties: {
wxa_message: {},
display_properties: {skip_render: false, is_async: false, form_operation: ''},
tool_calls: [{}],
tool_call_id: '<string>',
tool_name: '<string>',
wxo_connection_status: {connection_status: '<string>', connection_message: '<string>'}
},
assistant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
context: {values: []},
step_history: [{}],
message_state: {}
})
};

fetch('https://{api_endpoint}/v1/threads/{thread_id}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

thread_id
string
required

Body

application/json
role
string
required
content
required
mentions
(Mention · object | AssistantMention · object)[] | null
document_ids
string<uuid>[] | null
parent_message_id
string<uuid> | null
additional_properties
AdditionalProperties · object | null
assistant_id
string<uuid> | null
context
Context · object | null
step_history
Step History · object[] | null
message_state
Message State · object | null

Response

Successful Response